/**
 * Created by 1 at 2022-08-01 17:11:04
 * 注册事件类【菜单方案】，参看event.defaultEvent.js
 */
window.$swEvent.setup("bpm.sys.user.menuPlan.menuPlanList", {
  setup(page){
    const { $params,$refs, $widgets, $model, $utils, $tabRouter, $api } = page || {};
    const { $$message, $$http } = $utils || {};

    // 保存方案
    const saveMenuPlan =async () => {
      await $api.saveOne("planCard");
      await $api.loadOne("planList");
    }
    // 删除方案
    const afterDelMenuPlan = async () => {
      await $api.loadOne("planList");
    }
    // 保存菜单项
    const savePlanItem = async () => {
      const data = $model.menuCard.data.form;
      const rt = await $$http.post("bpm/menuPlan/savePlanItem",data);
      $model.menuCard.setFormVal("id",rt.data.id);
      $api.loadOne("menuList");
    }
    return {
      saveMenuPlan,
      afterDelMenuPlan,
      savePlanItem,
    }
  }
});
